Meteonorm API
integer[] · minItems: 360 · maxItems: 360 · requiredinteger[] · minItems: 360 · maxItems: 360 · required
Altitude · double · min: -1000 · max: 10000 · required
horizon
/horizon
GET
https://api.meteonorm.com/v1
/horizon
Retrieves the 360° horizon for a location.
A request costs 50 Meteonorm API tokens.
query Parameters
/horizon › Responses
Response
azimuthAzimuth angles (in degrees) corresponding to horizon elevation angles in "HorizonElevation".
0° = north, 90° = east, 180° = south, 270° = west.
elevation360 integer values representing elevation angles (0° to 90°) of the horizon. Array indices correspond to azimuths, e.g. index 0 corresponds to azimuth 0°. Each value indicates the elevation angle at the corresponding azimuth. The given example corresponds to a "20° mountain" in the north and a flat horizon in all other directions.
Example: [20,20,20,19,18,17,...,0,0,0,0,0,0,...,18,19,20,20,20,20]
/altitude
GET
https://api.meteonorm.com/v1
/altitude
Retrieves the altitude in meters for a location.
A request costs 2 Meteonorm API tokens.
query Parameters
/altitude › Responses
Response
Altitude response
altitudeAltitude in meters above sea level.